Subject: Freshness check blocks upgrading

From: Andreas Enge <[email-masked]>
Date: Fri, 19 Feb 2016 18:12:09 +0100

Hello,

when upgrading packages, there is a check for new GNU releases.
In the presence of network problems preventing to reach the corresponding
servers, the command "guix package -u" hangs indefinitely.

It would be nice to add a (short) time-out to the procedure looking
for updates, or better yet, to add a command line flag to turn it off:
Even when the servers are reachable, checking for new versions takes
a considerable amount of time that can be saved in many circumstances.

Personally, I would not even mind turning this feature off completely;
I think we update packages sufficiently often and the message is rather
distracting.

Andreas